- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# State.cpp File Reference

`#include <osg/State>`
`#include <osg/Notify>`
`#include <osg/GLU>`
`#include <osg/GLExtensions>`

Include dependency graph for State.cpp:

## Typedefs
typedef GLsizei | stride
typedef GLsizei const GLvoid * | pointer
typedef GLenum | type
typedef GLenum GLsizei | stride
typedef GLenum GLsizei const GLvoid * | pointer
typedef GLboolean | normalized
typedef GLboolean GLsizei | stride
typedef GLboolean GLsizei const GLvoid * | pointer
## Functions
typedef | void (APIENTRY *ActiveTextureProc)(GLenum texture)
## Variables
typedef | GLint
typedef | GLenum

## Typedef Documentation

typedef GLboolean normalized

typedef GLboolean GLsizei const GLvoid* pointer

typedef GLenum GLsizei const GLvoid* pointer

typedef GLsizei const GLvoid* pointer

typedef GLboolean GLsizei stride

typedef GLenum GLsizei stride

typedef GLsizei stride

typedef GLenum type

## Function Documentation

typedef void | ( | APIENTRY * | ActiveTextureProc | ) |

## Variable Documentation

typedef GLenum

typedef GLint